## eclipse-linuxtools 1.2.1+dfsg

=== gcov/org.eclipse.linuxtools.gcov.test/resource/Gcov_C_library_test/Makefile ===
libtestgcovlib.so:
	gcc -shared -fPIC -fprofile-arcs -ftest-coverage fact.c mult.c -o libtestgcovlib.so

build a.out: libtestgcovlib.so
	gcc -L . -ltestgcovlib main.c

all: a.out
	LD_LIBRARY_PATH=. ./$< 1 2 3 4 5 6
	
clean:
	rm -f *.o a.out *.gcno *.gcda

=== gcov/org.eclipse.linuxtools.gcov.test/resource/Gcov_C_test/Makefile ===
build a.out:
	gcc -fprofile-arcs -ftest-coverage *.c

all: a.out
	./$< 1 2 3 4 5 6
	
clean:
	rm -f *.o a.out *.gcno *.gcda

## eclipse-linuxtools 1.0.0

=== debian/changelog ===
eclipse-linuxtools (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Remove eclipse-cdt-autotools binary package.
    - The code moved to Eclipse CDT.
  * Drop d/patches/valgrind-remove-unused-emf-dependency.patch
    - Included upstream.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 12:07:30 +0200

eclipse-linuxtools (0.10.0+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #644535, #593285)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 18 Jun 2012 15:32:30 +0200

=== debian/control ===
Source: eclipse-linuxtools
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 8~),
               default-jdk,
               eclipse-pde (>= 3.7~exp),
               eclipse-cdt (>= 8.0.0),
               javahelper (>= 0.32~),
               libswtchart-java,
               unzip,
               zip
Standards-Version: 3.9.3
Homepage: http://www.eclipse.org/linuxtools/

Package: eclipse-cdt-valgrind
Architecture: all
Depends: eclipse-cdt,
         valgrind,
         ${misc:Depends},
         ${orbit:Depends}
Description: Valgrind integration for Eclipse CDT
 The Linux Tools Project Valgrind plugin aims to provide simple and effective
 profiling for the C/C++ Development Tools.
 .
 Integration of these tools from Valgrind suite is provided:
 .
  * Memcheck *
 .
 Memcheck is a tool that detects memory management problems. It is Valgrind's
 most popular tool and seemingly the most mature. Memcheck's output is rather
 straight forward - it is a series of errors along with stack trace information.
 .
 The Valgrind View presents this output using a TreeViewer with the errors as
 top-level elements.
 .
 The stack trace is presented underneath the error and when a frame is
 double-clicked an editor will open and go to the line in question.
 .
 Markers represent memcheck errors inside the editor and are linked to the
 Problems View.
 .
 Includes an editor for Valgrind suppressions files featuring syntax
 highlighting, folding and code completion.
 .
  * Massif *
 .
 Massif is a heap profiling tool. It takes several "snapshots" during execution
 of your program detailing the various heap allocations throughout. It's output
 for each snapshot primarily consists the time of the snapshot, how many bytes
 were allocated that can be used, and how much extra was allocated than was
 asked. The unit of time can be configured to be instructions, milliseconds or
 bytes. At specified intervals, "detailed" snapshots are produced. These
 detailed snapshots contain a tree of heap allocations that comprise that
 snapshot. Unlike Memcheck, Massif does not yet support XML output. Massif's
 output is complex and as such requires creative ways of displaying it. Valgrind
 includes the ms_print program that is used to display Massif's output in a
 visually appealing manner. ms_print was used as a template for how to display
 this output.
 .
 The default view of the output is with a TableViewer. Snapshots are displayed
 as tabular data, just as ms_print does.
 .
 For detailed snapshots, an icon indicates the snapshot can be double-clicked
 and the View will display a TreeViewer of the detailed snapshots' heap
 allocation trees.
 .
 ms_print also provides a bar chart of bytes allocated throughout execution. In
 perhaps a more appropriate style, there is an option to display a detailed line
 chart of this data.
 .
 * Cachegrind *
 .
 Cachegrind performs cache and branching profiling. A Cachegrind profile run
 measures the number of cache misses and branch mispredictions performed by an
 application. The results of a Cachegrind profile run are displayed in the
 Valgrind view. These results show Cachegrind's cache/branch data in different
 levels of granularity.
 .
 Double-clicking on any file, function, or line will open the corresponding
 source file and place the cursor on the appropriate location (if the source can
 be resolved).
 .
 Integration with the CDT's parsed code model provides a user interface that
 resembles what you see in the Outline view.

Package: eclipse-cdt-valgrind-remote
Architecture: all
Depends: eclipse-cdt-valgrind,
         eclipse-rse,
         ${misc:Depends},
         ${orbit:Depends}
Description: Valgrind integration for Eclipse CDT (remote launch)
 The Linux Tools Project Valgrind plugin aims to provide simple and effective
 profiling for the C/C++ Development Tools.
 .
 This package allows one to launch Valgrind on a remote target configured in
 Eclipse Remote Systems Explorer.

## eclipse-linuxtools 1.2.1+dfsg

=== debian/changelog ===
eclipse-linuxtools (1.2.1+dfsg-1) unstable; urgency=low

  * Add d/get-orig-source.
  * Removed leftover binaries, DFSG-incompatibly licensed and useless
    files: .gitignore, a.out, *.libhover, glibc-2.14.xml from upstream
    tarball (Closes: #708873).
  * Add eclipse-rse into Build-Depends (Closes: #709268).
    - Reflexes change in eclipse-cdt that doesn't depend on RSE anymore.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 21 May 2013 11:41:41 +0200

eclipse-linuxtools (1.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Mon, 13 May 2013 21:43:22 -0700

eclipse-linuxtools (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * Build separate packages for common Eclipse profiling framework plugins.
  * Enable perf integration.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 01 Dec 2012 12:41:53 +0100

eclipse-linuxtools (1.1.0-1) experimental; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Refreshed d/patches/remote-profiling-disable-rdt-proxy.patch.
  * Fix bundle build order.
  * Remove versions from Orbit dependencies.

  [ Niels Thykier ]
  * Add Vcs-* headers.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 03 Aug 2012 16:29:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,49 @@
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-cdt (>= 8.0.0),
+               eclipse-rse,
                javahelper (>= 0.32~),
                libswtchart-java,
                unzip,
                zip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.eclipse.org/linuxtools/
+Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-linuxtools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-linuxtools.git
+
+Package: eclipse-cdt-profiling-framework
+Architecture: all
+Depends: eclipse-cdt,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Eclipse CDT Profiling Framework
+ This package provides a common infrastructure that allows one to integrate
+ various profiling tools into Eclipse IDE. It supports 3 categories of tools:
+ .
+  * Timing - measure the amount of time taken in functions and methods
+  * Memory - profiles heap/stack/cache usage for an application
+  * Coverage - measures how much of the code gets exercised in a run
+ .
+ In addition to this package, a plugin that integrates particular profiling tool
+ (e.g. Valgrind or perf) is required in order to run performance analysis.
+
+Package: eclipse-cdt-profiling-framework-remote
+Architecture: all
+Depends: eclipse-cdt-profiling-framework,
+         eclipse-rse,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Remote profiling support for Eclipse
+ This package allows one to launch profiling tools and acquire data from remote
+ targets like embedded systems, that have too limited resources to run a full
+ scale IDE.
+ .
+ In addition to this package, a plugin that integrates particular profiling tool
+ is required in order to run performance analysis.
 
 Package: eclipse-cdt-valgrind
 Architecture: all
-Depends: eclipse-cdt,
+Depends: eclipse-cdt-profiling-framework,
          valgrind,
          ${misc:Depends},
          ${orbit:Depends}
@@ -88,7 +121,7 @@
 Package: eclipse-cdt-valgrind-remote
 Architecture: all
 Depends: eclipse-cdt-valgrind,
-         eclipse-rse,
+         eclipse-cdt-profiling-framework-remote,
          ${misc:Depends},
          ${orbit:Depends}
 Description: Valgrind integration for Eclipse CDT (remote launch)
@@ -97,3 +130,22 @@
  .
  This package allows one to launch Valgrind on a remote target configured in
  Eclipse Remote Systems Explorer.
+
+Package: eclipse-cdt-perf
+Architecture: all
+Depends: eclipse-cdt-profiling-framework,
+         ${misc:Depends},
+         ${orbit:Depends}
+Recommends: linux-tools
+Suggests: eclipse-cdt-profiling-framework-remote
+Description: 'perf' analysis tool integration for Eclipse CDT
+ 'perf' is a performance counters subsystem in Linux. Performance counters are
+ CPU hardware registers that count hardware events such as instructions executed
+ and cache-misses suffered. These counters aid in profiling applications to
+ detect hotspots in the application. 'perf' provides per task, per CPU and
+ per-workload counters, sampling on top of these and source code event
+ annotation.
+ .
+ The perf plug-in for Eclipse allows the developer to execute profiles in their
+ applications in a seamless way, using quick launch actions and visualizing
+ the results in an user-friendly interface.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export JAVA_HOME:=/usr/lib/jvm/default-java
BUILD_ID:=dist

%:
	dh $@ --with eclipse-helper

override_jh_compilefeatures:
	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";

# Directory changelog/ collides with dh_installchangelogs searching for upstream
# logs and causes crash during build
override_dh_installchangelogs:
	dh_installchangelogs -Xchangelog

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.git/refs/tags .*org\.eclipse\.linuxtools-(\d+\.\d+\.\d+).tar.gz

## eclipse-linuxtools 2.2.1

=== debian/changelog ===
eclipse-linuxtools (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refreshed d/patches.
  * Removed eclipse-cdt-valgrind-remote package, all its functionality
    is now provided by eclipse-cdt-profiling-framework-remote.
  * Added remove-license-feature.patch.
  * Bump Standards-Version to 3.9.5.
  * Enable eclipse-changelog package.
  * Enable eclipse-rpm-editor package.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 12 May 2014 18:11:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-cdt (>= 8.0.0),
-               eclipse-rse,
+               eclipse-ptp-rdt,
                javahelper (>= 0.32~),
                libswtchart-java,
                unzip,
                zip
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.eclipse.org/linuxtools/
 Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-linuxtools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-linuxtools.git
@@ -37,6 +37,7 @@
 Architecture: all
 Depends: eclipse-cdt-profiling-framework,
          eclipse-rse,
+         eclipse-ptp-rdt,
          ${misc:Depends},
          ${orbit:Depends}
 Description: Remote profiling support for Eclipse
@@ -118,19 +119,6 @@
  Integration with the CDT's parsed code model provides a user interface that
  resembles what you see in the Outline view.
 
-Package: eclipse-cdt-valgrind-remote
-Architecture: all
-Depends: eclipse-cdt-valgrind,
-         eclipse-cdt-profiling-framework-remote,
-         ${misc:Depends},
-         ${orbit:Depends}
-Description: Valgrind integration for Eclipse CDT (remote launch)
- The Linux Tools Project Valgrind plugin aims to provide simple and effective
- profiling for the C/C++ Development Tools.
- .
- This package allows one to launch Valgrind on a remote target configured in
- Eclipse Remote Systems Explorer.
-
 Package: eclipse-cdt-perf
 Architecture: all
 Depends: eclipse-cdt-profiling-framework,
@@ -149,3 +137,27 @@
  The perf plug-in for Eclipse allows the developer to execute profiles in their
  applications in a seamless way, using quick launch actions and visualizing
  the results in an user-friendly interface.
+
+Package: eclipse-changelog
+Architecture: all
+Depends: ${misc:Depends},
+         ${orbit:Depends}
+Description: Automatic ChangeLog entry creation support for Eclipse
+ Method and function indication is provided for C, C++, and Java language files.
+ The RPM .spec %changelog format is also supported. A ChangeLog entry can be
+ created for a single file or an entire project. In addition, a ChangeLog editor
+ is provided which makes it easy to format the file consistently and to put the
+ latest entry into the clipboard buffer for usage in a repository commit
+ operation.
+
+Package: eclipse-rpm-editor
+Architecture: all
+Depends: eclipse-changelog,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Editor for RPM .spec files integrated into Eclipse
+ Specfile Editor is a full featured editor for RPM spec files. Specfiles are the
+ files that tell the rpm program which are the sources for this package, how to
+ build, where to install, additional scripts to execute on install/uninstall and
+ so on. This plugin provides all the basic features for editing or modifing such
+ specfile.

## eclipse-linuxtools 3.1.0

=== gcov/org.eclipse.linuxtools.gcov.test/resource/Gcov_C_library_test/Makefile ===
libtestgcovlib.so:
	gcc -shared -fPIC -fprofile-arcs -ftest-coverage fact.c mult.c -o libtestgcovlib.so

build a.out: libtestgcovlib.so
	gcc -L . main.c -ltestgcovlib

all: a.out
	LD_LIBRARY_PATH=. ./$< 1 2 3 4 5 6
	
clean:
	rm -f *.o a.out *.gcno *.gcda

=== libhover/org.eclipse.linuxtools.cdt.libhover.devhelp.tests/devhelp/docs/Makefile ===
DOC_MODULE=test1
FLAGS='-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include'
LFLAGS="-L/usr/lib64 -lglib-2.0 -lgobject-2.0"
all:
	export CFLAGS=$(FLAGS)
	echo $(CFLAGS)
	CFLAGS=$(FLAGS) gtkdoc-scan --module=$(DOC_MODULE) --source-dir=../src
	CFLAGS=$(FLAGS) LDFLAGS=$(LFLAGS) gtkdoc-scangobj --module=$(DOC_MODULE)
	CFLAGS=$(FLAGS) gtkdoc-mkdb --module=$(DOC_MODULE) --output-format=xml
	mkdir -p html
	cd html && gtkdoc-mkhtml $(DOC_MODULE) ../test1-docs.xml
	gtkdoc-fixxref --module=$(DOC_MODULE) --module-dir=html

=== debian/changelog ===
eclipse-linuxtools (3.1.0-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release (Closes: #761524).
  * Refreshed d/patches.
  * Don't build removed feature org.eclipse.linuxtools.tools.launch
    - merged into org.eclipse.linuxtools.profiling.
  * Use javac target 1.7.
  * Build new feature org.eclipse.linuxtools.dataviewers.feature
    - required by Valgrind integration.
  * Build-depend on eclipse-remote-services-api and eclipse-cdt-autotools.
  * Bump Standards-Version to 3.9.6.
  * Override incompatible-java-bytecode-format - linuxtools needs Java 7.
  * Remove unused codeless-jar override.

  [ tony mancill ]
  * Tweak short package description to make lintian happy.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 11 Oct 2014 11:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-cdt (>= 8.0.0),
+               eclipse-cdt-autotools,
                eclipse-ptp-rdt,
+               eclipse-remote-services-api,	
                javahelper (>= 0.32~),
                libswtchart-java,
                unzip,
                zip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.eclipse.org/linuxtools/
 Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-linuxtools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-linuxtools.git
@@ -20,9 +22,10 @@
 Package: eclipse-cdt-profiling-framework
 Architecture: all
 Depends: eclipse-cdt,
+         eclipse-cdt-autotools,
          ${misc:Depends},
          ${orbit:Depends}
-Description: Eclipse CDT Profiling Framework
+Description: framework for profiling tools for Eclipse CDT
  This package provides a common infrastructure that allows one to integrate
  various profiling tools into Eclipse IDE. It supports 3 categories of tools:
  .
@@ -38,6 +41,7 @@
 Depends: eclipse-cdt-profiling-framework,
          eclipse-rse,
          eclipse-ptp-rdt,
+         eclipse-remote-services-api,
          ${misc:Depends},
          ${orbit:Depends}
 Description: Remote profiling support for Eclipse

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --with eclipse-helper
 
 override_jh_compilefeatures:
-	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
+	jh_compilefeatures --build-opts="-DjavacTarget=1.7 -DjavacSource=1.7 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
 
 # Directory changelog/ collides with dh_installchangelogs searching for upstream
 # logs and causes crash during build

## eclipse-linuxtools 7.4.0+dfsg.1

=== debian/changelog ===
eclipse-linuxtools (7.4.0+dfsg.1-2) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jul 2020 19:43:13 +0100

eclipse-linuxtools (7.4.0+dfsg.1-1) unstable; urgency=medium

  * Re-introduce the package. (Closes: #961796)
    - Update to v7.4.0 upstream.
    - New binary package libeclipse-linuxtools-java (Java libraries-only)
  * Use https with watch URI.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jun 2020 12:47:58 +0100

=== debian/control ===
Source: eclipse-linuxtools
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               maven-debian-helper,
               libswt-gtk-4-java,
               libswtchart-java
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.eclipse.org/linuxtools/
Vcs-Git: https://salsa.debian.org/java-team/eclipse-linuxtools.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-linuxtools

Package: libeclipse-linuxtools-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: framework for Eclipse CDT profiling tools (Java libraries)
 The Linux Tools project aims to bring a full-featured C and C++ IDE to
 Linux developers. It builds on the source editing and debugging features
 of the CDT and integrate popular native development tools such as Valgrind,
 OProfile, RPM, SystemTap, GCov, GProf, LTTng, etc. Current projects include
 LTTng trace viewers and analyzers, an RPM .spec editor, a Valgrind heap
 usage analysis tool, and OProfile and Perf call profiling tools.
 .
 This package only builds the piechart library.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.git/refs/tags .*org\.eclipse\.linuxtools-(\d+\.\d+\.\d+).tar.gz

## eclipse-linuxtools 8.1.0+dfsg.1

=== containers/org.eclipse.linuxtools.docker.integration.tests/resources/test-compose/requirements.txt ===
flask
redis

=== gcov/org.eclipse.linuxtools.gcov.test/resources/Gcov_CPP_test/Makefile ===
build a.out:
	g++ -fprofile-arcs -ftest-coverage *.cpp

all: a.out
	./$< 1 2 3 4 5 6
	
clean:
	rm -f *.o a.out *.gcno *.gcda

=== gcov/org.eclipse.linuxtools.gcov.test/resources/Gcov_C_library_test/Makefile ===
libtestgcovlib.so:
	gcc -shared -fPIC -fprofile-arcs -ftest-coverage fact.c mult.c -o libtestgcovlib.so

build a.out: libtestgcovlib.so
	gcc -L . main.c -ltestgcovlib

all: a.out
	LD_LIBRARY_PATH=. ./$< 1 2 3 4 5 6
	
clean:
	rm -f *.o a.out *.gcno *.gcda *.so

=== debian/changelog ===
eclipse-linuxtools (8.1.0+dfsg.1-1) unstable; urgency=medium

  * Fix watch file and add dfsg to repack
  * New upstream version 8.1.0+dfsg.1
    - Refresh patch.
    - Fix dependency.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 29 Dec 2020 00:09:32 +0000

eclipse-linuxtools (7.4.0+dfsg.1-3) unstable; urgency=medium

  * Use upstream manifest file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 18 Sep 2020 23:34:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                default-jdk,
                maven-debian-helper,
                libswt-gtk-4-java,
-               libswtchart-java
-Standards-Version: 4.5.0
+               libeclipse-swtchart-java
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.eclipse.org/linuxtools/
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-linuxtools.git

=== debian/watch ===
version=3
opts=repack,repacksuffix=+dfsg.1,dversionmangle=s/\+dfsg\d*$// \
https://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.git/refs/tags .*org\.eclipse\.linuxtools-(\d+\.\d+\.\d+).tar.gz
